--[[#######################################################################
#  File     :  /units/Ingenieurs/UAA0205/UAA0205_script.lua
#  Author(s):  John Comes, David Tomandl, Jessica St. Croix
#  Summary  :  Aeon T2 Engineer Script
#  -----------------------------
#  Modif.by :  Asdrubaelvect
#  Rev.Date :  jj mmmmm aaaa
#  -----------------------------
#  Revis.by :  Manimal
#  Rev.Date :  17 mars 2010
#  -----------------------------
#  Copyright © 2005 Gas Powered Games, Inc.  All rights reserved.
#######################################################################]]--

#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
local Game = import( '/lua/game.lua' )

# VARIABLE ''GLOBALE'' ( par Manimal )
local MyModPath = Game.MyModPath
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

local AConstructionUnit = import( MyModPath .. '/hook/lua/aeonunits.lua').AConstructionUnit


UAA0205 = Class( AConstructionUnit ) {

    OnStopBeingBuilt = function( self, builder, layer )
        AConstructionUnit.OnStopBeingBuilt( self, builder, layer )
        self.Rotator1 = CreateRotator(self, 'UAL01', 'y', nil, 200, 5, 200)
        self.Trash:Add(self.Rotator1)
        self.Rotator2 = CreateRotator(self, 'UAL02', 'x', nil, 200, 5, 200)
        self.Trash:Add(self.Rotator2)

    end,

}

TypeClass = UAA0205
